%perl_module HTML-LinkExtractor 0.11 3

Summary:       Extract *links* from an HTML document.
License:       Artistic and GPL
Group:         System Environment/Libraries
URL:           http://search.cpan.org/dist/%{pkgname}
Source:        http://search.cpan.org/CPAN/authors/id/P/PO/PODMASTER/%{pkgname}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: perl(HTML::TokeParser::Simple), perl(URI)

%description
HTML::LinkExtractor is used for extracting links from HTML. It is very
similar to HTML::LinkExtor, except that besides getting the URL, you
also get the link-text.

%prep
%setup -q -n %{pkgname}-%{version} 

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README* LICENSE Changes
%{perl_vendorlib}/HTML/LinkExtractor.pm
%{perl_man3dir}/HTML::LinkExtractor.3pm*

%changelog
* Fri Aug 27 2004 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Initial build.
